Páginas

miércoles, 14 de agosto de 2013

Cómo instalar KDE 4.11 en openSUSE [Actualizado]

El 14 de agosto, tal como estaba programado, el proyecto KDE ha anunciado la publicación de la versión 4.11 de la compilación de software de KDE, que incluye los espacios de trabajo Plasma, las aplicaciones y la plataforma de desarrollo.

Esta versión de los espacios de trabajo Plasma será la última versión de la serie KDE 4 y tendrá un soporte de dos años en corrección de errores y mejoras en las traducciones. Mientras, el equipo de desarrollo se concentrará en la versión 5, basada en la biblioteca Qt5. Habrá, no obstante, nuevas versiones de las aplicaciones correspondientes a las series KDE 4.12, 4.13...

Esta publicación está dedicada a la memoria de Atul ‘toolz’ Chitnis, campeón del software libre de la India fallecido recientemente.

KDE 4.11 ha sido traducido, por el momento, a 54 idiomas y también se han actualizado 91 manuales de usuario. Las principales novedades son las siguientes:
  • Espacios de trabajo Plasma. Se han mejorado el rendimiento y la funcionalidad de la barra de tareas, el menú de aplicaciones, los plasmoides de sonido y de la batería, las notificaciones del sistema y el gestor de ventanas (KWin). Se ha añadido un nuevo módulo (KScreem) a las Preferencias del sistema para la configuración inteligente de varios monitores.
  • Aplicaciones. Se ha mejorado notablemente el rendimiento del gestor de archivos Dolphin y se ha solucionado el problema de la carga incompleta de iconos de archivos y carpetas. Otras aplicaciones también ha recibido mejoras notables, como el gestor de información personal Kontact, el editor avanzado Kate y el visualizador de documentos Okular.
  • Plataforma de desarrollo. Esta versión no incluye nuevas funcionalidades, solamente correcciones de error y mejoras en el rendimiento, especialmente en el caso del gestor de metadatos Nepomuk, que ahora extrae los metadatos de los archivos hasta seis veces más rápido. El formato de almacenamiento de Nepomuk ha sido optimizado y, por eso, al inicio de sesión se ejecutará una conversión automática de la base de datos.
Espacios de trabajo Plasma de KDE 4.11.

KDE 4.11 ya está disponible para los usuarios de openSUSE 12.2 y 12.3 en los repositorios semioficiales de KDE. Antes de instalar la nueva versión, hay que desinstalar desde YaST cualquier repositorio previo de KDE4, como por ejemplo KDE:UpdatedApps.

Para instalar KDE 4.11 en openSUSE hay que seguir los pasos siguientes.

1. Iniciar sesión como superusuario en el terminal. 

su -

2. Añadir los nuevos repositorios de KDE 4.11. 
  • Para openSUSE 12.3:
zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Release:/411/openSUSE_12.3/ KDE411:Release

zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_411_openSUSE_12.3/ KDE411:Extra
  • Para openSUSE 12.2:
zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Release:/411/openSUSE_12.2/ KDE411:Release

zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_411_openSUSE_12.2/ KDE411:Extra

4. Actualizar la distribución desde los nuevos repositorios. 

zypper dup --from KDE411:Release --from KDE411:Extra

Puede suceder que el comando zypper informe de problemas de conflictos entre paquetes y ofrezca una serie de soluciones numeradas como, por ejemplo, estas:

Solución 1: reemplazo de...
Solución 2: desactualizar...
Solución 3: no instalar...
Solución 4: romper...

La solución apropiada suele ser la 1 o la que implique aceptar un cambio de paquete, nunca la 4, que implica ignorar las dependencias de un paquete y puede dejar el sistema inestable.

En estos momentos no hay errores importantes conocidos en esta versión de KDE, aunque, si se quiere evitar el riesgo de sufrir pequeños inconvenientes, lo mejor es esperar algunos días o semanas antes de actualizar.

Si después de probar esta nueva versión de KDE queremos volver a la versión instalada previamente, se puede consultar la entrada Cómo eliminar una actualización de KDE o GNOME en openSUSE.

ACTUALIZACIÓN

5-9-2013. Se ha informado reiteradamente de problemas de compatibilidad de los efectos de escritorio de esta versión de KDE con los controladores propietarios de AMD/ATI cuando se utiliza el tipo de composición OpenGL, sobretodo con el controlador para tarjetas descatalogadas, el llamado Catalyst Legacy. La solución más sencilla a este problema es utilizar el controlador libre radeon. Otra solución es seleccionar el tipo de composición XRender, que no es compatible con algunos efectos y proporciona un rendimiento inferior, en Preferencias del sistema --> Efectos de escritorio --> Avanzado --> Tipo de composición. En este mensaje se explica el problema y se aporta otra solución.

43 comentarios:

  1. Anónimo15/8/13 1:57

    Esta muy peligroso la actualizacion
    Hay muchas dependencias conflictivas.

    ResponderEliminar
  2. Todo perfecto, ningún problema.

    ResponderEliminar
  3. Actualización perfecta, sin ningún problema.

    ResponderEliminar
  4. Gracias a los compañeros anónimos por el feedback. Un saludo.

    ResponderEliminar
  5. Estupendo, absolutamente ningún problema a pesar de una actualización tan larga : 226 paquetes y después de reiniciar se actualizaron 14 paquetes mas con Apper. Muchas gracias por el aporte y un saludo a todo el mundo de OpenSUSE. Extraordinaria distribución esta 12.3.

    ResponderEliminar
  6. Todo perfecto una vez más.

    Saludos.

    ResponderEliminar
  7. Se actualizó todo sin problemas. Gracias por la información.

    Saludos.

    ResponderEliminar
  8. ¿La versión KDE 4.11 aparecerá como una actualización más en los repositorios oficiales o esta que explicas va a ser la única forma de conseguirla?

    Saludos.

    ResponderEliminar
    Respuestas
    1. No, esta versión no entrará en el repositorio oficial de actualizaciones. Un saludo.

      Eliminar
  9. Anónimo19/8/13 0:08

    Por cierto, una duda que me tiene escamado: ¿solamente a mí se me queda gran parte del menú de aplicaciones sin traducir incluso después de haber actualizado, instalado los paquetes recomendados y cambiado el idioma en las preferencias del sistema y en cualquier otro sitio posible? Solamente en esta distribución me pasa esto y como openSUSE no la conozco muy bien, no sé si es que me falta algo más por configurar.

    Gracias :)

    ResponderEliminar
    Respuestas
    1. Pues, no sé porqué te pasa. Yo el menú lo tengo traducido. Seguro que has instalado el paquete de idioma de KDE?

      Eliminar
    2. Me sucede lo mismo que a el toniem, luego de actualizar, instalar paquetes de idioma y todo el resto, algunos items del Menú Kickoff siguen en Inglés.

      Eliminar
    3. Pues no sé a qué es debido. Supongo que puedes probar a editar el menú clicando en el lanzador y seleccionado "Editar aplicaciones..." A mí me gusta más el menú clásico, que se selecciona con el menú contextual del lanzador. Pero en todo caso, a mi no me ocurre ni no un menú ni con el otro. Un saludo.

      Eliminar
  10. Instalado.
    Gracias por la info.

    ResponderEliminar
  11. Que debo hacer si estoy en Tumbleweed?

    ResponderEliminar
    Respuestas
    1. El repositorio de Tumbleweed incorporará esta versión de KDE dentro de un tiempo. Las nuevas versiones de KDE se incorporan más tarde ya que se tienen que testear para comprobar que funcionan correctamente en esta versión de openSUSE.

      Eliminar
  12. Deberías dar al botón de reset.

    ResponderEliminar
  13. Si usted tiene acceso a las fuentes Pure de Nokia, pruebelas en KDE, se ven increiblemente bien.

    ResponderEliminar
  14. Actualización sin problemas y funcionando.

    ResponderEliminar
  15. Actualizacion realizada correctamente, gracias por la info.

    ResponderEliminar
  16. Instalado sin problemas de dependencias. Lo único es que no me activa los efectos de escritorio en KDE con los drivers privativos. La aceleración 3D está activada y he reiniciado sesión y ordenador. ¿Alguna sugerencia?

    ResponderEliminar
    Respuestas
    1. Hola Francisco. Ves a Preferencias del sistema --> Efectos de escritorio --> Avanzado. Hay nuevas opciones para elegir, prueba a cambiarlas, sobre todo en tipo de composición. Si no lo condigues con OpenGL, prueba con XRender, que ha mejorado mucho en rendimiento. Con XRender hay que seleccionar 'Nativo' en 'Sistema gráfico de Qt'. Un saludo.

      Eliminar
    2. Gracias por la respuesta. He probado con Xrender pero va bastante lento y ciertos efectos que usaba necesitan openGL. Es como si openGL hubiera dejado de funcionar, seguiré buscando

      Eliminar
    3. Consulta este mensaje:

      https://plus.google.com/115606635748721265446/posts/Ahma7898wfx

      Eliminar
    4. Despues de muchas vueltas he vuelto a la versión 4.10.5
      Con el driver libre, los efectos de escritorio funcionaban bien, pero no podía jugar a ciertos juegos de steam. Me quedo como estaba, ya he perdido bastante tiempo esta tarde xD

      Gracias por todo.

      Eliminar
  17. La actualizacion fue correcto, ningun problema.
    Alguien conoce si hay "Klook" y "Muon Discover" para opensuse? y donde conseguirlo?
    Gracias

    ResponderEliminar
    Respuestas
    1. Si no recuerdo mal Muon Discover es un gestor de paquetes, en openSUSE tiene YaST y Apper. Klook no sé qué es.

      Eliminar
  18. Gracias instalada y sin problemas, me parece como mas fluido el computador.

    ResponderEliminar
  19. Anónimo2/9/13 19:07

    Gracias, actualizacion completa.

    Dudas:
    1. A partir de ahora tengo que dejar los dos repositorios activos?
    2. Eso supone seguir actualizando los paquetes que se vayan incluyendo en dichos repositorios, cierto? Es decir el sistema se desvincula de las versiones de los paquetes que hay en los repositorios oficiales?
    3. Hasta ahora todo correcto, excepto Calibre con un paquete que instale desde otro repositorio y que resolvio el problema. Pero si surge cualquier conflicto que no logre resolver, supongo tendria que quitar estos dos repositorios y cuando actualizara de nuevo tomaria todos los paquetes necesarios volviendo a las versiones de los repositorios oficiales, que sigo manteniendo activos?

    Gracias :)

    ResponderEliminar
    Respuestas
    1. Respuestas:

      1. Eso es lo mejor.

      2. Sí. De esta manera los pequeños errores de empaquetamiento se solucionan con las nuevas versiones de los paquetes. Además así se instalarán automáticamente las actualizaciones mensuales 4.11.2 y siguientes. Sí la versión de KDE instalada no es la oficial.

      3. Si desactivas estos repositorios, los paquetes instalados desde estos repositoiros se marcarán en rojo en YaST pero no se actualizarán con la actualización normal del sistema (por ejemplo con un 'sudo zypper update'). Si quieres reemplazar esta versión de KDE con la versión oficial sigue las indicaciones de este artículo:

      http://guiadelcamaleon.blogspot.com.es/2012/10/eliminar-actualizacion-kde-gnome-opensuse.html

      Un saludo.

      Eliminar
  20. Anónimo2/9/13 21:00

    Nuevo post del Anonimo del post anterior:

    Suelo usar la utilidad de escritorio llamada "Busqueda y Lanzamiento", la cual tiene en la parte superior de la pantalla un espacio, donde podemos ubicar los Lanzadores de las aplicaciones que usamos con mayor frecuencia. Despues de actualizar kde11 no logro que se mantengan. Las añadi varias veces y en cuanto reinicio desaparecen.

    Que puede pasar?

    ResponderEliminar
    Respuestas
    1. Lo siento no uso esta utilidad, que supongo que es un llamado 'elemento gráfico' o plasmoide, ¿no? Un saludo.

      Eliminar
    2. Anónimo3/9/13 21:39

      pues no estoy seguro porque por un lado, aparece como una posible plantilla para el escritorio por omision y por otro como dices, elemento grafico o plasmoide, y por ultimo tambien como "actividad" a la que aplicamos la plantilla "search and launch"...

      saludos

      Eliminar
  21. El skype no funciona, incluso si tiene todas las dependencias instaladas. Nota: He instalado la última versión del núcleo.

    ResponderEliminar
    Respuestas
    1. Hola. Skype no depende de KDE, solo de las bibliotecas Qt, si no recuerdo mal. Te funcinaba antes de actualizar? Consulta esta entrada:

      http://guiadelcamaleon.blogspot.com.es/2012/11/como-instalar-skype-en-opensuse.html

      Un saludo.

      Eliminar
    2. Hola!Gracias por la respuesta . Lo intenté de nuevo con las bibliotecas instaladas y con esta versión de KDE lo Skype no funciona. El icono sube y baja ( jump ) y Skype insiste en no abrir. ¡Qué extraño! y que yo dependo de Skype, así como, dependo de openSuSE. Vou ter qui volver al KDE 4.10.5.
      * Perdón por mi español pero yo ablo portuñol. :);)

      Eliminar
    3. Gracias por la información. Un saludo.

      Eliminar
  22. Hola #toniem, muchas gracias por el gran aporte. Quisiera solo argumentar, que antes de hacer la actualización deberían de hacerse un "sudo zypper upgrade" y después proceder con la actualización.

    Te agradezco amigo yo apenas me voy metiendo al mundo de SUSI jejej digo SUSE :)

    Kimbis

    ResponderEliminar
    Respuestas
    1. No hay de qué. Es verdad que conviene tener el sistema actualizado antes de instalar una nueva versión de KDE, pero el comando es:

      sudo zypper update

      Un saludo.

      Eliminar
  23. Una pregunta: Instalé KDE3 (porque siempre me gustó, nostalgia porque fue el primer DE que conocí en Linux y porque kdeinit4 patea cada vez que inicio de forma normal) y quiero desinstalar KDE4. ¿Alguna forma de hacerlo (algo como un purge) sin luego tener problemas con las dependencias?

    Saludos.

    ResponderEliminar
    Respuestas
    1. Prueba a desinstalar desde YaST todos los paquetes que contengan en el nombre kde4. De todas formas, asegúrate de haber instalado el gestor de sesiones de KDE3 (paquete kdebase3-kdm) y a activarlo y comprobar que funciona. Para activarlo ejecuta desde el centro de control YaST el editor para los archivos /etc/sysconfig y buscar la variable DISPLAYMANAGER situada en Desktop y seleccionar kdm3.

      Un saludo.

      Eliminar
  24. Todo perfecto pero un consejo no tocar la tabla de particiones, en concreto multipath. La puedes liar :)

    ResponderEliminar
    Respuestas
    1. Tabla de particiones??? No entiendo qué tiene que ver la tabla de particones con actualizar KDE. Un saludo.

      Eliminar